# StatelessFileSharingEncryptedSource class

Inheritance
  - Object
  - StatelessFileSharingSource
  - StatelessFileSharingEncryptedSource

## Constructors

StatelessFileSharingEncryptedSource (SFSEncryptionType encryption, List <int> key, List <int> iv, Map <HashFunction, String> hashes, StatelessFileSharingUrlSource source)
StatelessFileSharingEncryptedSource.fromXml (XMLNode element)
  factory

## Properties

encryption → SFSEncryptionType
  final
hashCode → int
  The hash code for this object.
  no setterinherited
hashes → Map <HashFunction, String>
  final
iv → List <int>
  final
key → List <int>
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
source → StatelessFileSharingUrlSource
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
toXml () → XMLNode
  Turn the source into an XML element.
  override

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited